Browsers - Fluid Topics - Latest

Fluid Topics API Reference Guide

Category
Reference Guides
Audience
public
Version
Latest

This web service responds with a list of browsers and crawlers which most frequently accessed the portal over a selected period.

Method Endpoint
POST
/analytics/api/v3/traffic/browsers-top

It is necessary to provide an Ft-Calling-App value when using Fluid Topics web services. See Fluid Topics calling app.

Request example

{
  "startDate": "2023-05-29",
  "endDate": "2023-06-29"
}
Field Type Required? Description
startDate String Yes The inclusive start date of the period. Its format can be YYYY-MM-DD, YYYY-MM-DDTHH:MM or YYYY-MM-DDTHH:MM:SS. For more information about date and time formats, see Timestamps.
The value must be within the analytics data retention period.
endDate String Yes The exclusive end date of the period. Must be later than the startDate. Its format can be YYYY-MM-DD, YYYY-MM-DDTHH:MM or YYYY-MM-DDTHH:MM:SS. For more information about date and time formats, see Timestamps.
The value must be within the analytics data retention period.

Response body

The following example shows a JSON response body for this web service:

{
  "startDate": "2023-05-29",
  "endDate": "2023-06-29",
  "results": [
    {
      "browserName": "Firefox",
      "percentage": 13.482392349,
      "httpRequestCount": 32500
    }
  ]
}

Traffic is based on the number of HTTP requests sent to the server by browsers or via the API.

Field Type Description
startDate String The inclusive start date of the period as defined in the request body.
endDate String The exclusive end date of the period as defined in the request body.
browserName String The name of the browser. Can be Other or crawler.
percentage Number The percentage of visits that occurred using the browser out of the total number of visits during the period.
httpRequestCount Number The number of queries using the browser submitted during the period.
Return code Description
200 OK Returns results.